package com.realnet.calculator_app-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.calculator_app-b.Entity.Calculator;
import com.realnet.calculator_app-b.Services.CalculatorService ;








@RequestMapping(value = "/token/Calculator")
 @CrossOrigin("*") 
@RestController
public class tokenFree_CalculatorController {
	@Autowired
	private CalculatorService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Calculator")
		  public Calculator Savedata(@RequestBody Calculator data) {
		Calculator save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Calculator/{id}")
	public  Calculator update(@RequestBody Calculator data,@PathVariable Integer id ) {
		Calculator update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Calculator/getall/page")
	public Page<Calculator> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Calculator> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Calculator")
	public List<Calculator> getdetails() {
		 List<Calculator> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Calculator")
	public List<Calculator> getallwioutsec() {
		 List<Calculator> get = Service.getdetails();		
		return get;
}
@GetMapping("/Calculator/{id}")
	public  Calculator  getdetailsbyId(@PathVariable Integer id ) {
		Calculator  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Calculator/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}